//
// C++ Interface: time
//
// Description:
//
//
// Author: Messenger of death aka Denis A. Birukov <messengerofdeath@gmail.com>, (C) 2009
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef METIME_H
#define METIME_H
#include <stdint.h>
/**
	@author Messenger of death aka Denis A. Birukov <messengerofdeath@gmail.com>
*/
class Time
{
    public:
        Time();
        ~Time();
        double get_elapsed_time();
        double get_elapsed_time_noreset();
	void reset();
    private:
        uint64_t _last_access_time_;
};

#endif
